<?php
  $host="localhost";
  $user="root";
  $password="";
  $database="test";

  $q_create_osoba  = "create table osoba(";
  $q_create_osoba .= "id int not null primary key,";
  $q_create_osoba .= "imie varchar(20) not null,";
  $q_create_osoba .= "nazwisko varchar(30) not null,";
  $q_create_osoba .= "data_ur date,";
  $q_create_osoba .= "pesel char(11) not null,";
  $q_create_osoba .= "adres varchar(60))";
  
  $q_drop_osoba = "drop table osoba";
  
  $q_insert_osoba = "insert into osoba( id, imie, nazwisko, data_ur, pesel, adres ) VALUES( ?, ?, ?, ?, ?, ? )";

  $fields=array( "id", "imie", "nazwisko", "data_ur", "pesel", "adres" );
  
  $q_select_osoba = "select ".implode( ", ", $fields )." from osoba where id between ? and ?";
    
  $data = array(
  	array( 1,'Adam','Waleczek','1977-01-02','77010223221','ul. Kamieńskiego 20, Wrocław' ),
  	array( 2,'Maria','Król','1972-04-01','72040167843','ul. Kromera 2, Wrocław' ),
  	array( 3,'Ewa','Samiec','1980-10-10','80101098734','ul. Reja 18, Wrocław' ),
  	array( 4,'Adam','Wysocki','1970-11-11','70111198264',null )
  );

  $header = array( "id"=>"Id", "imie"=>"Imię", "nazwisko"=>"Nazwisko", "data_ur"=>"Data urodzenia", "pesel"=>"Pesel", "adres"=>"Adres" );

  $db=new mysqli( $host, $user, $password, $database );  
  $db->query( $q_drop_osoba ) or die( "MySQL error: {$db->errno} : {$db->error}" );
  $db->query( $q_create_osoba )  or die( "MySQL error: {$db->errno} : {$db->error}" );
  $stmt=$db->stmt_init();
  if ( $stmt->prepare( $q_insert_osoba ) )
  {
  	for ( $i=0; $i<4; $i++ )
  	{
  		$stmt->bind_param( 'isssss', $data[$i][0], $data[$i][1], $data[$i][2], $data[$i][3], $data[$i][4], $data[$i][5] );
  		$stmt->execute();
  	}
  }
  $db->close();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>

<?php
$kolumny=array( 'pesel', 'imie', 'nazwisko', 'data_ur', 'adres' );
$wynik=array();
?>

<?php
  $db=new mysqli( $host, $user, $password, $database );  
  $stmt=$db->stmt_init();
  if ( $stmt->prepare( $q_select_osoba ) )
  {
  	$od=1; $do=10;  
	$stmt->bind_param( 'ii', $od, $do );
	//$stmt->bind_result( $wynik['id'], $wynik['imie'], $wynik['nazwisko'], $wynik['data_ur'], $wynik['pesel'], $wynik['adres'] );
	$arg=array( $stmt );
	for ($i=0; $i < count($fields); $i++)
	{
   		$wynik[$fields[$i]] = '';
   		$arg[$i+1] = &$wynik[$fields[$i]];
	}
	call_user_func_array( 'mysqli_stmt_bind_result', $arg );
	$stmt->execute();
	$stmt->store_result();
  }
  $db->close();
  if ( $stmt->num_rows==0 )
  {
  	echo "Brak wierszy w wyniku";
  }
  else
  {
  	echo "Dane tej tabeli:\n<table border=\"1\">";
  	foreach ( $kolumny as $k ) echo "<th>$header[$k]</th>";
  	while ( $row=$stmt->fetch() )
	{
		echo "<tr>";
		foreach ( $kolumny as $k ) echo "<td>".( is_null( $wynik[$k] ) ? "&nbsp;" : $wynik[$k] )."</td>";
  		echo "</tr>";
  	}
  }
?>
</table>

</body>
</html>
