<?php
$user="root";
$pass="";
$sql = "insert into osoba(id,imie,nazwisko,data_ur,pesel,adres) VALUES( ?, ?, ?, ?, ?, ? )";

$dane = array(
  array( 1,'Adam','Waleczek','1977-01-02','77010223221','ul. Kamieńskiego 20, Wrocław' ),
  array( 2,'Maria','Król','1972-04-01','72040167843','ul. Kromera 2, Wrocław' ),
  array( 3,'Ewa','Samiec','1980-10-10','80101098734','ul. Reja 18, Wrocław' )
);
?>
<?php
try
{
  $dbh = new PDO( 'mysql:host=localhost;dbname=test', $user, $pass );
  $dbh->exec( "delete from osoba" );
  $dbh->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
  $stmt=$dbh->prepare( $sql );
  for ( $i=0; $i<3; $i++ ) $stmt->execute( $dane[$i] );
  $dbh=null;
}
catch ( PDOException $e )
{
  echo "Failed: " . $e->getMessage();
}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>
	
<table border="1">
<?php
try
{
  $dsn1="mysql:host=localhost;dbname=test";
  $dsn2="uri:file://D:\Moje Dokumenty\WWW\php\w04\mysql.dsn";
  $dsn3="mysql";
  $od=1; $do=10;

  $dbh = new PDO( $dsn1, $user, $pass );
  $stmt=$dbh->prepare( 'SELECT imie, nazwisko, adres from osoba where id between :od and :do' );
  $stmt->bindParam( ":od", $od );
  $stmt->bindParam( ":do", $do );
  $stmt->bindColumn( "imie", $imie );
  $stmt->bindColumn( "nazwisko", $nazwisko );
  $stmt->bindColumn( "adres", $adres );
  $stmt->execute();
  while ( $stmt->fetch( PDO::FETCH_BOUND ) )
  {
    echo "<tr><td>$imie</td><td>$nazwisko</td><td>$adres</td></tr>";
  }
  $dbh = null;
}
catch ( PDOException $e )
{
  print "Error!: " . $e->getMessage() . "<br/>";
}
?>
</table>

</body>
</html> 