<?php
/*
$user="postgres";
$pass="pgsql812";
$dsn="pgsql:host=localhost dbname=postgres user=$user password=$pass";
*/
$user="root";
$pass="";
$dsn="mysql:host=localhost;dbname=test";


$sql1 = "create table imiona( id int not null primary key, imie varchar(20) )";
$sql2 = "insert into imiona( id, imie ) VALUES( ?, ? )";

$dane = array(
  array( 1, 'Adam' ),
  array( 2, 'Ala' ),
  array( 3, 'Basia' ),
  array( 4, 'Ela' ),
  array( 5, 'Gosia' ),
  array( 6, 'Ola' ),
  array( 7, 'Karolina' ),
  array( 8, 'Wiesława' )
);
?>
<?php
try
{
  $dbh = new PDO( $dsn, $user, $pass );
  $dbh->exec( "drop table imiona" );
  $dbh->exec( $sql1 );
  $dbh->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
  $stmt=$dbh->prepare( $sql2 );
  for ( $i=0; $i<count( $dane ); $i++ )
  {
  	$stmt->bindParam( 1, $dane[$i][0] );
  	$stmt->bindParam( 2, $dane[$i][1] );
    $stmt->execute();  	
  }
  $dbh=null;
}
catch ( PDOException $e )
{
  echo "Failed: " . $e->getMessage();
}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>
	
<table border="1">
<?php
try
{
  $dbh = new PDO( $dsn, $user, $pass );
  $stmt=$dbh->prepare( 'SELECT id, imie from imiona order by id', array( PDO::ATTR_CURSOR, PDO::CURSOR_SCROLL ) );
  $stmt->bindColumn( "id", $id );
  $stmt->bindColumn( "imie", $imie );
  $stmt->execute();
  
  $stmt->fetch( PDO::FETCH_ASSOC, PDO::FETCH_ORI_LAST ); //8
  echo "<tr><td>$id</td><td>$imie</td></tr>";
  $stmt->fetch( PDO::FETCH_ASSOC, PDO::FETCH_ORI_PRIOR ); //7
  echo "<tr><td>$id</td><td>$imie</td></tr>";
  $stmt->fetch( PDO::FETCH_ASSOC, PDO::FETCH_ORI_ABS, 6 ); //6
  echo "<tr><td>$id</td><td>$imie</td></tr>";
  $stmt->fetch( PDO::FETCH_ASSOC, PDO::FETCH_ORI_REL, -2 ); //4
  echo "<tr><td>$id</td><td>$imie</td></tr>";
  $stmt->fetch( PDO::FETCH_ASSOC, PDO::FETCH_ORI_FIRST ); //1
  echo "<tr><td>$id</td><td>$imie</td></tr>";
  $stmt->fetch( PDO::FETCH_ASSOC, PDO::FETCH_ORI_NEXT ); //2
  echo "<tr><td>$id</td><td>$imie</td></tr>";
  $dbh = null;
}
catch ( PDOException $e )
{
  print "Error!: " . $e->getMessage() . "<br/>";
}
?>
</table>

</body>
</html> 