<?php
  /* Odrobinę bardziej elegancko, chociaż jest problem z takim zebraniem zapytań na początku. Jaki? */
  
  $conn_string="host=localhost dbname=postgres user=postgres password=pgsql812";

  $q_create_osoba  = "create table osoba(";
  $q_create_osoba .= "id int not null primary key,";
  $q_create_osoba .= "imie varchar(20) not null,";
  $q_create_osoba .= "nazwisko varchar(30) not null,";
  $q_create_osoba .= "data_ur date,";
  $q_create_osoba .= "pesel char(11) not null,";
  $q_create_osoba .= "adres varchar(60))";
  
  $q_drop_osoba = "drop table osoba";
  
  $q_insert_osoba = "insert into osoba( id, imie, nazwisko, data_ur, pesel, adres ) VALUES( $1, $2, $3, $4, $5, $6 )";
  
  $q_select_osoba = "select id, imie, nazwisko, data_ur, pesel, adres from osoba"; 
    
  $data = array(
  	array( 1,'Adam','Waleczek','1977-01-02','77010223221','ul. Kamieńskiego 20, Wrocław' ),
  	array( 2,'Maria','Król','1972-04-01','72040167843','ul. Kromera 2, Wrocław' ),
  	array( 3,'Ewa','Samiec','1980-10-10','80101098734','ul. Reja 18, Wrocław' ),
  	array( 4,'Adam','Wysocki','1970-11-11','70111198264',null )
  );

  $header = array( "id"=>"Id", "imie"=>"Imię", "nazwisko"=>"Nazwisko", "data_ur"=>"Data urodzenia", "pesel"=>"Pesel", "adres"=>"Adres" );
  
  $link = pg_connect( $conn_string );
  pg_query( $link, $q_drop_osoba ) or die( "PostgreSQL error: ".pg_last_error( $link ) );
  pg_query( $link, $q_create_osoba )  or die( "PostgreSQL error: ".pg_last_error( $link ) );
  pg_prepare( $link, "insert", $q_insert_osoba ) or die( "PostgreSQL error: ".pg_last_error( $link ) );
  pg_execute( $link, "insert", $data[0] ) or die( "PostgreSQL error: ".pg_last_error( $link ) );
  pg_execute( $link, "insert", $data[1] ) or die( "PostgreSQL error: ".pg_last_error( $link ) );
  pg_execute( $link, "insert", $data[2] ) or die( "PostgreSQL error: ".pg_last_error( $link ) );
  pg_execute( $link, "insert", $data[3] ) or die( "PostgreSQL error: ".pg_last_error( $link ) );
  pg_close( $link );
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>

Dane tej tabeli:

<?php
$kolumny=array( 'pesel', 'imie', 'nazwisko', 'data_ur', 'adres' );
?>

<?php
  $link = pg_connect( $conn_string );
  $result = pg_query( $link, $q_select_osoba );
  $t=pg_fetch_all( $result );
  pg_close( $link );

  if ( count( $t )==0 )
  {
  	echo "Brak wierszy w tabeli";
  }
  else
  {  	
  	echo "<table border=\"1\">";
  	echo "<tr>";
  	foreach ( $kolumny as $k ) echo "<th>$header[$k]</th>";
  	echo "</tr>";
  	
  	foreach ( $t as $row )
  	{
  		echo "<tr>";
  		foreach ( $kolumny as $k ) echo "<td>".( is_null( $row[$k] ) ? "&nbsp;" : $row[$k] )."</td>";
  		echo "</tr>";
  	}
  	echo "<table>";  	
  }
?>
</table>

</body>
</html>